# netif.h File Reference

`#include "net/opt.h"`
`#include "net/err.h"`
`#include "net/ipv4/ip_addr.h"`
`#include "net/ipv4/inet.h"`
`#include "net/pbuf.h"`

Go to the source code of this file.

## Data Structures

struct | netif

## Functions

void | netif_init ()
netif * | netif_add (struct ip_addr *ipaddr, struct ip_addr *netmask, struct ip_addr *gw, void(*init)(struct netif *netif), err_t(*input)(struct pbuf *p, struct netif *netif))
netif * | netif_find (char *name)
void | netif_set_default (struct netif *netif)
void | netif_set_ipaddr (struct netif *netif, struct ip_addr *ipaddr)
void | netif_set_netmask (struct netif *netif, struct ip_addr *netmast)
void | netif_set_gw (struct netif *netif, struct ip_addr *gw)

## Variables

netif * | netif_list
netif * | netif_default

## Function Documentation

struct netif* netif_add | ( | struct ip_addr * | ipaddr,
|  | struct ip_addr * | netmask,
|  | struct ip_addr * | gw,
|  | void(* | init)(struct netif *netif),
|  | err_t(* | input)(struct pbuf *p, struct netif *netif)
| ) |

struct netif* netif_find | ( | char * | name | ) |

void netif_init | ( |  | ) |

void netif_set_default | ( | struct netif * | netif | ) |

void netif_set_gw | ( | struct netif * | netif,
|  | struct ip_addr * | gw
| ) |

void netif_set_ipaddr | ( | struct netif * | netif,
|  | struct ip_addr * | ipaddr
| ) |

void netif_set_netmask | ( | struct netif * | netif,
|  | struct ip_addr * | netmast
| ) |

## Variable Documentation

struct netif* netif_default

struct netif* netif_list